class PatientInfoRecord {
  ///常住类型
  static const List<MapEntry<String, String>> permanentlyResideTypeList = [
    MapEntry('1', '户籍'),
    MapEntry('2', '非户籍'),
  ];

  ///血型
  static const List<MapEntry<String, String>> bloodTypeList = [
    MapEntry('1', 'A型'),
    MapEntry('2', 'B型'),
    MapEntry('3', 'O型'),
    MapEntry('4', 'AB型'),
    MapEntry('5', '不详'),
  ];

  ///RH
  static const List<MapEntry<String, String>> rhList = [
    MapEntry('1', '阴性'),
    MapEntry('2', '阳性'),
    MapEntry('3', '不详'),
  ];

  ///文化程度
  static const List<MapEntry<String, String>> educationLevelList = [
    MapEntry('1', '研究生'),
    MapEntry('2', '大学本科'),
    MapEntry('3', '大学专科和专科学校'),
    MapEntry('4', '中等职业技术学校'),
    MapEntry('5', '技工学校'),
    MapEntry('6', '高中'),
    MapEntry('7', '初中'),
    MapEntry('8', '小学'),
    MapEntry('9', '文盲或半文盲'),
    MapEntry('10', '不详'),
  ];

  ///职业
  static const List<MapEntry<String, String>> careerList = [
    MapEntry('0', '国家机关、党群组织、企业、事业单位负责人'),
    MapEntry('1', '专业技术人员'),
    MapEntry('2', '办事人员和有关人员 '),
    MapEntry('3', '商业、服务业人员 '),
    MapEntry('4', '农、林、牧、渔、水利业生产人员'),
    MapEntry('5', '生产、运输设备操作人 员及有关人员'),
    MapEntry('6', '军人'),
    MapEntry('7', '不便分类的其他从业人员'),
    MapEntry('8', '无职业'),
  ];

  ///婚姻状况
  static const List<MapEntry<String, String>> maritalStatusList = [
    MapEntry('1', '未婚'),
    MapEntry('2', '已婚'),
    MapEntry('3', '丧偶'),
    MapEntry('4', '离婚'),
    MapEntry('5', '未说明的婚姻状况'),
  ];

  ///医疗费用支付方式
  static const List<MapEntry<String, String>> providerPaymentsList = [
    MapEntry('1', '城镇职工基本医疗保险'),
    MapEntry('2', '城镇居民基本医疗保险'),
    MapEntry('3', '新型农村合作医疗'),
    MapEntry('4', '贫困救助'),
    MapEntry('5', '商业医疗保险'),
    MapEntry('6', '全公费'),
    MapEntry('7', '全自费'),
    MapEntry('8', '其他'),
  ];

  ///过敏史
  static const List<MapEntry<String, String>> historyDrugAllergiesList = [
    MapEntry('1', '无'),
    MapEntry('2', '青霉素'),
    MapEntry('3', '磺胺'),
    MapEntry('4', '链霉素'),
    MapEntry('5', '其他'),
  ];

  ///暴露史
  static const List<MapEntry<String, String>> historyExposureList = [
    MapEntry('1', '无'),
    MapEntry('2', '化学品'),
    MapEntry('3', '毒品'),
    MapEntry('4', '射线'),
  ];

  ///既往史-疾病
  static const List<MapEntry<String, String>> historyPreviousDiseaseList = [
    MapEntry('1', '无'),
    MapEntry('2', '高血压'),
    MapEntry('3', '糖尿病'),
    MapEntry('4', '冠心病'),
    MapEntry('5', '慢性阻塞性肺疾病'),
    MapEntry('6', '恶性肿瘤'),
    MapEntry('7', '脑卒中'),
    MapEntry('8', '严重精神障碍'),
    MapEntry('9', '结核病'),
    MapEntry('10', '肝炎'),
    MapEntry('11', '其他法定传染病'),
    MapEntry('12', '职业病'),
    MapEntry('13', '其他'),
  ];

  ///既往史-Other
  static const List<MapEntry<String, String>> historyPreviousOtherList = [
    MapEntry('1', '无'),
    MapEntry('2', '有'),
  ];

  ///家族史
  static const List<MapEntry<String, String>> historyFamilyList = [
    MapEntry('1', '无'),
    MapEntry('2', '高血压'),
    MapEntry('3', '糖尿病'),
    MapEntry('4', '冠心病'),
    MapEntry('5', '慢性阻塞性肺疾病'),
    MapEntry('6', '恶性肿瘤'),
    MapEntry('7', '脑卒中'),
    MapEntry('8', '严重精神障碍'),
    MapEntry('9', '结核病'),
    MapEntry('10', '肝炎'),
    MapEntry('11', '先天畸形'),
    MapEntry('12', '其他'),
  ];

  ///残疾情况
  static const List<MapEntry<String, String>> disabilitySituationList = [
    MapEntry('1', '无残疾'),
    MapEntry('2', '视力残疾'),
    MapEntry('3', '听力残疾'),
    MapEntry('4', '言语残疾'),
    MapEntry('5', '肢体残疾'),
    MapEntry('6', '智力残疾'),
    MapEntry('7', '精神残疾'),
    MapEntry('8', '其他残疾'),
  ];

  ///厨房排风设施
  static const List<MapEntry<String, String>> kitchenExhaustFacilitiesList = [
    MapEntry('1', '无'),
    MapEntry('2', '油烟机'),
    MapEntry('3', '换气扇'),
    MapEntry('4', '烟囱'),
  ];

  ///燃气类型
  static const List<MapEntry<String, String>> fuelList = [
    MapEntry('1', '液化气'),
    MapEntry('2', '煤'),
    MapEntry('3', '天然气'),
    MapEntry('4', '沼气'),
    MapEntry('5', '柴火'),
    MapEntry('6', '其他'),
  ];

  ///饮水
  static const List<MapEntry<String, String>> drinkingWaterList = [
    MapEntry('1', '自来水'),
    MapEntry('2', '经净化过滤水'),
    MapEntry('3', '井水'),
    MapEntry('4', '河湖水'),
    MapEntry('5', '塘水'),
    MapEntry('6', '其他'),
  ];

  ///厕所
  static const List<MapEntry<String, String>> toiletList = [
    MapEntry('1', '卫生厕所'),
    MapEntry('2', '一格或二格粪池式'),
    MapEntry('3', '马桶'),
    MapEntry('4', '露天粪坑'),
    MapEntry('5', '简易棚厕'),
  ];

  ///禽兽栏
  static const List<MapEntry<String, String>> animalPenList = [
    MapEntry('1', '无'),
    MapEntry('2', '单设'),
    MapEntry('3', '室内'),
    MapEntry('4', '室外'),
  ];
}
